IPTOTAL(8)

NAME
iptotal - IP Traffic-based monitor, not requiring SNMP

SYNOPSIS
iptotal [OPTS] <interface>

DESCRIPTION
iptotal listens to a network interface in non-promiscuous mode, and measures IP bandwidth usage. After the specified number of seconds, the average throughput is printed as total, input and output usage.

OPTIONS

-c <filename>
    Read configuration file. Default is /etc/iptotal.cfg.

-C  Ignore configuration file.

-d <level>
    Debug level: 0 - no debugging; 1 - summary; 3 - all packets captured.

-f <filterstr>
    Use pcap filters (see tcpdump).

-F  Fork and run in background.

-h  Print help.

-m <maskbits>
    Set number of network mask bits (1-32) for subnet traffic aggregation. Default is 24 (255.255.255.0).

-P  Use promiscuous mode on network interface.

-r <seconds>
    Reporting period - number of seconds, default 300.

-v  Print version.

CONFIGURATION FILE

/etc/iptotal.cfg
    File that defines the default configuration used. See iptotal_config(5) for more details.

AUTHOR
Written by Antoine Megens <webmaster@dingetje.homeip.net>

Manpage written by Millis Miller <millis@faztek.org>

REPORTING BUGS
Report bugs to <webmaster@dingetje.homeip.net>

COPYRIGHT
Copyright © 2003, 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
iptotal_config(5), iptotald(8), tcpdump(1)